Search found 4 matches

by xyz3D
Sun Jan 03, 2021 5:40 pm
Forum: Forum Italiano
Topic: Rendering step file
Replies: 9
Views: 1864

Re: Rendering step file

Basta leggere il messaggio d'errore non trova l'immagine.

Consiglio di esportare la geometria tassellizzata in Blender e fare il render con Cycles, impieghi meno tempo in tutti i passaggi compreso i tempi di rendering se hai una scheda con una GPU decente.
by xyz3D
Sat Feb 01, 2020 10:19 pm
Forum: Forum Italiano
Topic: sostituire la versione di python usata da freeCAD
Replies: 6
Views: 761

Re: sostituire la versione di python usata da freCAD

Quella versione di Python non esiste, esiste la versione 3.8. Non puoi aggiornate il Python di FreeCAD se cambiano i primi 2 numeri della versione, devi per forza ricompilare FreeCAD per la nuova versione, stando attento al codice di FreeCAD sia compatibile con i cambiamenti del nuovo Python. In alt...
by xyz3D
Wed Nov 13, 2019 5:26 pm
Forum: Python scripting and macros
Topic: Convert mesh to shape
Replies: 3
Views: 1112

Convert mesh to shape

This simple script convert a mesh from a command line into a shape. The output formats are those of FreeCAD STEP, IGES, STL and BREP. It is possible to enable Refine Shape and Make Solid with an option from the command line. #!/usr/bin/env python3 FREECAD_PATH = '/usr/lib/freecad-python3/lib' #FREEC...
by xyz3D
Sat Aug 31, 2019 3:51 pm
Forum: Open discussion
Topic: Wrapping a sketch around a cylinder
Replies: 33
Views: 23464

Re: Wrapping a sketch around a cylinder

This is my version, I corrected some lines to make them more compatible with a well written Python code: import FreeCAD import FreeCADGui from FreeCAD import Base import Part import math def GetObjectByLabel(objectName): for obj in FreeCAD.ActiveDocument.Objects: if obj.Label == objectName: return o...